API reference
Images
GET
header
AuthorizationBearer <token>type?stringValue in
"system""app""snapshot""backup"location?stringOnly images available in this region
name?stringOnly the image with this exact name
label_selector?stringOnly images whose labels match, e.g. env=prod,role!=db (operators: =, !=, key, !key)
Images
application/json- response
images*array<>curl -X GET "https://example.com/images"{ "images": [ { "id": 0, "type": "system", "name": "string", "description": "string", "os_flavor": "ubuntu", "os_version": "string", "architecture": "x86", "disk_size": 0, "image_size": 0, "status": "creating", "deprecated": "2019-08-24T14:15:22Z", "created_from": 0, "protection": { "delete": true }, "locations": [ "string" ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}GET
header
AuthorizationBearer <token>id*integerFormat
int64Image
application/json- response
image*curl -X GET "https://example.com/images/0"{ "image": { "id": 0, "type": "system", "name": "string", "description": "string", "os_flavor": "ubuntu", "os_version": "string", "architecture": "x86", "disk_size": 0, "image_size": 0, "status": "creating", "deprecated": "2019-08-24T14:15:22Z", "created_from": 0, "protection": { "delete": true }, "locations": [ "string" ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}DELETE
header
AuthorizationBearer <token>id*integerFormat
int64Deleted
curl -X DELETE "https://example.com/images/0"Empty
PUT
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
description?stringLength
length <= 255labels?Up to 64 key/value pairs; keys and values up to 63 characters
protection?Updated
application/json- response
image*curl -X PUT "https://example.com/images/0" \ -H "Content-Type: application/json" \ -d '{}'{ "image": { "id": 0, "type": "system", "name": "string", "description": "string", "os_flavor": "ubuntu", "os_version": "string", "architecture": "x86", "disk_size": 0, "image_size": 0, "status": "creating", "deprecated": "2019-08-24T14:15:22Z", "created_from": 0, "protection": { "delete": true }, "locations": [ "string" ], "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}